Index: /trunk/include/FlairCore/Tab.h
===================================================================
--- /trunk/include/FlairCore/Tab.h	(revision 12)
+++ /trunk/include/FlairCore/Tab.h	(revision 13)
@@ -16,39 +16,36 @@
 #include <Layout.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class TabWidget;
+class TabWidget;
 
-    /*! \class Tab
-    *
-    * \brief Class displaying a QTab on the ground station
-    *
-    * Tabs are displayed in a TabWidget.
-    */
-    class Tab: public Layout
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Tab in the TabWidget.
-            *
-            * \param parent parent
-            * \param name name
-            * \param position tab position, -1 to put at the last position
-            */
-            Tab(const TabWidget* parent,std::string name,int position=-1);
+/*! \class Tab
+*
+* \brief Class displaying a QTab on the ground station
+*
+* Tabs are displayed in a TabWidget.
+*/
+class Tab : public Layout {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Tab in the TabWidget.
+  *
+  * \param parent parent
+  * \param name name
+  * \param position tab position, -1 to put at the last position
+  */
+  Tab(const TabWidget *parent, std::string name, int position = -1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Tab();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Tab();
 
-        private:
-    };
+private:
+};
 
 } // end namespace gui
Index: /trunk/include/FlairCore/TabWidget.h
===================================================================
--- /trunk/include/FlairCore/TabWidget.h	(revision 12)
+++ /trunk/include/FlairCore/TabWidget.h	(revision 13)
@@ -16,47 +16,51 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class TabWidget
-    *
-    * \brief Class displaying a QTabWidget on the ground station
-    *
-    * TabWidget contains Tabs.
-    *
-    */
-    class TabWidget:public Widget
-    {
-        public:
-            /*!
-            * \enum TabPosition_t
-            * \brief Position of tabs
-            */
-            typedef enum { North/*! north */, South/*! south */, West/*! west */, East/*! east */} TabPosition_t;
+/*! \class TabWidget
+*
+* \brief Class displaying a QTabWidget on the ground station
+*
+* TabWidget contains Tabs.
+*
+*/
+class TabWidget : public Widget {
+public:
+  /*!
+  * \enum TabPosition_t
+  * \brief Position of tabs
+  */
+  typedef enum {
+    North /*! north */,
+    South /*! south */,
+    West /*! west */,
+    East /*! east */
+  } TabPosition_t;
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QTabWidget at given position. \n
-            * The TabWidget will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position
-            * \param name name
-            * \param tabPosition position of tabs
-            */
-            TabWidget(const LayoutPosition* position,std::string name,TabPosition_t tabPosition=TabWidget::West);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QTabWidget at given position. \n
+  * The TabWidget will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position
+  * \param name name
+  * \param tabPosition position of tabs
+  */
+  TabWidget(const LayoutPosition *position, std::string name,
+            TabPosition_t tabPosition = TabWidget::West);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TabWidget();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TabWidget();
 
-        private:
-    };
+private:
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/TcpSocket.h
===================================================================
--- /trunk/include/FlairCore/TcpSocket.h	(revision 12)
+++ /trunk/include/FlairCore/TcpSocket.h	(revision 13)
@@ -16,36 +16,39 @@
 #include <ConnectedSocket.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class TcpSocket
-    *
-    * \brief Class encapsulating a TCP socket
-    *
-    */
-    class TcpSocket:public ConnectedSocket {
-    public:
-        TcpSocket(const Object* parent,const std::string name,bool blockOnSend=false,bool blockOnReceive=true);
-        ~TcpSocket();
-        void Listen(const unsigned int port,const std::string localAddress="ANY");
-        TcpSocket *Accept(Time timeout=0); //should throw an exception if not a listening socket
-        bool Connect(const unsigned int distantPort,const std::string distantAddress,Time timeout=0); // timeout in milliseconds
-        ssize_t SendMessage(const char* message,size_t message_len,Time timeout=0); // timeout in milliseconds
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout=0); // timeout in milliseconds
+namespace flair {
+namespace core {
+/*! \class TcpSocket
+*
+* \brief Class encapsulating a TCP socket
+*
+*/
+class TcpSocket : public ConnectedSocket {
+public:
+  TcpSocket(const Object *parent, const std::string name,
+            bool blockOnSend = false, bool blockOnReceive = true);
+  ~TcpSocket();
+  void Listen(const unsigned int port, const std::string localAddress = "ANY");
+  TcpSocket *Accept(
+      Time timeout = 0); // should throw an exception if not a listening socket
+  bool Connect(const unsigned int distantPort, const std::string distantAddress,
+               Time timeout = 0); // timeout in milliseconds
+  ssize_t SendMessage(const char *message, size_t message_len,
+                      Time timeout = 0); // timeout in milliseconds
+  ssize_t RecvMessage(char *buf, size_t buf_len,
+                      Time timeout = 0); // timeout in milliseconds
 
-        uint16_t NetworkToHost16(uint16_t data);
-        uint16_t HostToNetwork16(uint16_t data);
-        uint32_t NetworkToHost32(uint32_t data);
-        uint32_t HostToNetwork32(uint32_t data);
+  uint16_t NetworkToHost16(uint16_t data);
+  uint16_t HostToNetwork16(uint16_t data);
+  uint32_t NetworkToHost32(uint32_t data);
+  uint32_t HostToNetwork32(uint32_t data);
 
-    private:
-        int socket; // socket file descriptor
-        bool blockOnSend;
-        bool blockOnReceive;
-        bool isConnected;
-        unsigned int distantPort;
-        std::string distantAddress;
-    };
+private:
+  int socket; // socket file descriptor
+  bool blockOnSend;
+  bool blockOnReceive;
+  bool isConnected;
+  unsigned int distantPort;
+  std::string distantAddress;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/TextEdit.h
===================================================================
--- /trunk/include/FlairCore/TextEdit.h	(revision 12)
+++ /trunk/include/FlairCore/TextEdit.h	(revision 13)
@@ -16,51 +16,50 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class TextEdit
-    *
-    * \brief Class displaying a QTextEdit on the ground station
-    *
-    * QTextEdit allows printing on multiple lines. \n
-    *
-    */
-    class TextEdit:public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QTabWidget at given position. \n
-            * The TextEdit will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param parent parent
-            * \param name name
-            * \param buf_size size of the text buffer
-            */
-            TextEdit(const LayoutPosition* position,std::string name,size_t buf_size=255);
+/*! \class TextEdit
+*
+* \brief Class displaying a QTextEdit on the ground station
+*
+* QTextEdit allows printing on multiple lines. \n
+*
+*/
+class TextEdit : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QTabWidget at given position. \n
+  * The TextEdit will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param parent parent
+  * \param name name
+  * \param buf_size size of the text buffer
+  */
+  TextEdit(const LayoutPosition *position, std::string name,
+           size_t buf_size = 255);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TextEdit();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TextEdit();
 
-            /*!
-            * \brief Append a line
-            *
-            * \param format text string to display, see standard printf
-            */
-            void Append(const char * format, ...);
+  /*!
+  * \brief Append a line
+  *
+  * \param format text string to display, see standard printf
+  */
+  void Append(const char *format, ...);
 
-        private:
-            char* printf_buffer;
-            xmlNodePtr text_node;
-    };
+private:
+  char *printf_buffer;
+  xmlNodePtr text_node;
+};
 
 } // end namespace gui
Index: /trunk/include/FlairCore/Thread.h
===================================================================
--- /trunk/include/FlairCore/Thread.h	(revision 12)
+++ /trunk/include/FlairCore/Thread.h	(revision 13)
@@ -19,212 +19,214 @@
 class Thread_impl;
 
-namespace flair
-{
-namespace core
-{
-
-    class IODevice;
-
-    /*! \class Thread
-    *
-    * \brief Abstract class for a thread
-    *
-    * To implement a thread, Run() method must be reimplemented. \n
-    * When Start() is called, it will automatically call Run() reimplemented method.
-    * A thread can be periodic, in this case WaitPeriod() will block untill period is met.
-    * Thread can also e synnchronized with an IODevice, using WaitUpdate() method. \n
-    * Thread period is by default 100ms.
-    */
-    class Thread: public Object
-    {
-        friend class ::Thread_impl;
-
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * \param parent parent
-            * \param name name
-            * \param priority priority, should be >20 (<20 is reserved for internal use)
-            */
-            Thread(const Object* parent,std::string name,uint8_t priority);//priority>20, for real time only
-
-            /*!
-            * \brief Destructor
-            *
-            * If thread is started, SafeStop() and Join() will
-            * be automatically called.
-            *
-            */
-            virtual ~Thread();
-
-            /*!
-            * \brief Start the thread
-            *
-            */
-            void Start(void);
-
-            /*!
-            * \brief Set a stop flag
-            *
-            * ToBeStopped() will return true after calling this method.
-            */
-            void SafeStop(void);
-
-            /*!
-            * \brief Set a stop flag
-            *
-            * Reimplemented Run() can poll this method to
-            * determine when to stop the thread.
-            *
-            * \return true if SafeStop() was called
-            */
-            bool ToBeStopped(void) const;
-
-            /*!
-            * \brief Join the thread
-            *
-            * This method will block untill Run() returns.
-            *
-            */
-            void Join(void);
-
-            /*!
-            * \brief Set the period in micro second
-            *
-            * After calling this method, IsPeriodSet will return true.
-            *
-            * \param period_us period in us
-            */
-            void SetPeriodUS(uint32_t period_us);
-
-            uint32_t GetPeriodUS() const;
-
-            /*!
-            * \brief Set the period in milli second
-            *
-            * After calling this method, IsPeriodSet will return true.
-            *
-            * \param period_ums period in ms
-            */
-            void SetPeriodMS(uint32_t period_ms);
-
-            uint32_t GetPeriodMS() const;
-
-            /*!
-            * \brief Returns if period was set
-            *
-            * \return true if a period was set using SetPeriodUS or SetPeriodMS
-            * false otherwise
-            */
-            bool IsPeriodSet(void);
-
-            /*!
-            * \brief Wait the period
-            *
-            * This method will block untill period is met. \n
-            * If no period was set (see SetPeriodUS, SetPeriodMS and IsPeriodSet), this method
-            * returns immediately.
-            *
-            */
-            void WaitPeriod(void) const;
-
-            /*!
-            * \brief Wait update of an IODevice
-            *
-            * This method will block untill IODevice::ProcessUpdate
-            * is called. \n
-            * This method is usefull to synchronize a thread with an IODevice.
-            *
-            * \param device IODevice to wait update from
-            */
-            int WaitUpdate(const IODevice* device);
-
-            /*!
-            * \brief Suspend the thread
-            *
-            * This method will block untill Resume() is called.
-            *
-            */
-            void Suspend(void);
-
-            /*!
-            * \brief Suspend the thread with timeout
-            *
-            * This method will block until Resume() is called or the absolute date specified occurs
-            *
-            * \param date absolute date in ns
-            * \return true if thread is woken up by a call to Resume, false otherwise
-            */
-            bool SuspendUntil(Time date);
-
-            /*!
-            * \brief Resume the thread
-            *
-            * This method will unblock the call to Suspend().
-            *
-            */
-            void Resume(void);
-
-            /*!
-            * \brief Is the thread suspended?
-            *
-            * \return true if thread is suspended
-            *
-            */
-            bool IsSuspended(void) const;
-
-            /*!
-            * \brief Sleep until absolute time
-            *
-            * This method will block untill time is reached.
-            *
-            * \param time absolute time
-            */
-            void SleepUntil(Time time) const;
-
-            /*!
-            * \brief Sleep for a certain time in micro second
-            *
-            * This method will block untill time is elapsed.
-            *
-            * \param time_us time to wait in micro second
-            */
-            void SleepUS(uint32_t time_us) const;
-
-            /*!
-            * \brief Sleep for a cartain time in milli second
-            *
-            * This method will block untill time is elapsed.
-            *
-            * \param time_ms time to wait in milli second
-            */
-            void SleepMS(uint32_t time_ms) const;
-
-            /*!
-            * \brief Warn if real time / non real time switches occur
-            *
-            * If enabled, a message with the call stack will be displayed
-            * in case of real time / non real time switches. \n
-            * This method can help to debug application and see if switches occur. \n
-            * Note that it as no effect if this method is called from the non real time
-            * Framework library.
-            *
-            * \param enable enable or disable warns
-            */
-            static void WarnUponSwitches(bool enable);
-
-        private:
-            /*!
-            * \brief Run method
-            *
-            * This method is automatically called by Start(). \n
-            * This method must be reimplemented, in order to implement the thread.
-            *
-            */
-            virtual void Run(void)=0;
-
-            class Thread_impl* pimpl_;
-    };
+namespace flair {
+namespace core {
+
+class IODevice;
+
+/*! \class Thread
+*
+* \brief Abstract class for a thread
+*
+* To implement a thread, Run() method must be reimplemented. \n
+* When Start() is called, it will automatically call Run() reimplemented method.
+* A thread can be periodic, in this case WaitPeriod() will block untill period
+*is met.
+* Thread can also e synnchronized with an IODevice, using WaitUpdate() method.
+*\n
+* Thread period is by default 100ms.
+*/
+class Thread : public Object {
+  friend class ::Thread_impl;
+
+public:
+  /*!
+  * \brief Constructor
+  *
+  * \param parent parent
+  * \param name name
+  * \param priority priority, should be >20 (<20 is reserved for internal use)
+  */
+  Thread(const Object *parent, std::string name,
+         uint8_t priority); // priority>20, for real time only
+
+  /*!
+  * \brief Destructor
+  *
+  * If thread is started, SafeStop() and Join() will
+  * be automatically called.
+  *
+  */
+  virtual ~Thread();
+
+  /*!
+  * \brief Start the thread
+  *
+  */
+  void Start(void);
+
+  /*!
+  * \brief Set a stop flag
+  *
+  * ToBeStopped() will return true after calling this method.
+  */
+  void SafeStop(void);
+
+  /*!
+  * \brief Set a stop flag
+  *
+  * Reimplemented Run() can poll this method to
+  * determine when to stop the thread.
+  *
+  * \return true if SafeStop() was called
+  */
+  bool ToBeStopped(void) const;
+
+  /*!
+  * \brief Join the thread
+  *
+  * This method will block untill Run() returns.
+  *
+  */
+  void Join(void);
+
+  /*!
+  * \brief Set the period in micro second
+  *
+  * After calling this method, IsPeriodSet will return true.
+  *
+  * \param period_us period in us
+  */
+  void SetPeriodUS(uint32_t period_us);
+
+  uint32_t GetPeriodUS() const;
+
+  /*!
+  * \brief Set the period in milli second
+  *
+  * After calling this method, IsPeriodSet will return true.
+  *
+  * \param period_ums period in ms
+  */
+  void SetPeriodMS(uint32_t period_ms);
+
+  uint32_t GetPeriodMS() const;
+
+  /*!
+  * \brief Returns if period was set
+  *
+  * \return true if a period was set using SetPeriodUS or SetPeriodMS
+  * false otherwise
+  */
+  bool IsPeriodSet(void);
+
+  /*!
+  * \brief Wait the period
+  *
+  * This method will block untill period is met. \n
+  * If no period was set (see SetPeriodUS, SetPeriodMS and IsPeriodSet), this
+  *method
+  * returns immediately.
+  *
+  */
+  void WaitPeriod(void) const;
+
+  /*!
+  * \brief Wait update of an IODevice
+  *
+  * This method will block untill IODevice::ProcessUpdate
+  * is called. \n
+  * This method is usefull to synchronize a thread with an IODevice.
+  *
+  * \param device IODevice to wait update from
+  */
+  int WaitUpdate(const IODevice *device);
+
+  /*!
+  * \brief Suspend the thread
+  *
+  * This method will block untill Resume() is called.
+  *
+  */
+  void Suspend(void);
+
+  /*!
+  * \brief Suspend the thread with timeout
+  *
+  * This method will block until Resume() is called or the absolute date
+  *specified occurs
+  *
+  * \param date absolute date in ns
+  * \return true if thread is woken up by a call to Resume, false otherwise
+  */
+  bool SuspendUntil(Time date);
+
+  /*!
+  * \brief Resume the thread
+  *
+  * This method will unblock the call to Suspend().
+  *
+  */
+  void Resume(void);
+
+  /*!
+  * \brief Is the thread suspended?
+  *
+  * \return true if thread is suspended
+  *
+  */
+  bool IsSuspended(void) const;
+
+  /*!
+  * \brief Sleep until absolute time
+  *
+  * This method will block untill time is reached.
+  *
+  * \param time absolute time
+  */
+  void SleepUntil(Time time) const;
+
+  /*!
+  * \brief Sleep for a certain time in micro second
+  *
+  * This method will block untill time is elapsed.
+  *
+  * \param time_us time to wait in micro second
+  */
+  void SleepUS(uint32_t time_us) const;
+
+  /*!
+  * \brief Sleep for a cartain time in milli second
+  *
+  * This method will block untill time is elapsed.
+  *
+  * \param time_ms time to wait in milli second
+  */
+  void SleepMS(uint32_t time_ms) const;
+
+  /*!
+  * \brief Warn if real time / non real time switches occur
+  *
+  * If enabled, a message with the call stack will be displayed
+  * in case of real time / non real time switches. \n
+  * This method can help to debug application and see if switches occur. \n
+  * Note that it as no effect if this method is called from the non real time
+  * Framework library.
+  *
+  * \param enable enable or disable warns
+  */
+  static void WarnUponSwitches(bool enable);
+
+private:
+  /*!
+  * \brief Run method
+  *
+  * This method is automatically called by Start(). \n
+  * This method must be reimplemented, in order to implement the thread.
+  *
+  */
+  virtual void Run(void) = 0;
+
+  class Thread_impl *pimpl_;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/UdtSocket.h
===================================================================
--- /trunk/include/FlairCore/UdtSocket.h	(revision 12)
+++ /trunk/include/FlairCore/UdtSocket.h	(revision 13)
@@ -18,33 +18,34 @@
 #include <ConnectedSocket.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class UdtSocket
-    *
-    * \brief Class encapsulating a UDT socket
-    *
-    */
-    class UdtSocket:public ConnectedSocket {
-    public:
-        UdtSocket(const Object* parent,const std::string name,bool blockOnSend=false,bool blockOnReceive=true);
-        ~UdtSocket();
-        void Listen(const unsigned int port,const std::string localAddress="ANY");
-        UdtSocket *Accept(Time timeout); //should throw an exception if not a listening socket
-        bool Connect(const unsigned int port,const std::string distantAddress,Time timeout); // /!\ timeout is ignored
-        ssize_t SendMessage(const char* message,size_t message_len,Time timeout);
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout);
+namespace flair {
+namespace core {
+/*! \class UdtSocket
+*
+* \brief Class encapsulating a UDT socket
+*
+*/
+class UdtSocket : public ConnectedSocket {
+public:
+  UdtSocket(const Object *parent, const std::string name,
+            bool blockOnSend = false, bool blockOnReceive = true);
+  ~UdtSocket();
+  void Listen(const unsigned int port, const std::string localAddress = "ANY");
+  UdtSocket *
+  Accept(Time timeout); // should throw an exception if not a listening socket
+  bool Connect(const unsigned int port, const std::string distantAddress,
+               Time timeout); // /!\ timeout is ignored
+  ssize_t SendMessage(const char *message, size_t message_len, Time timeout);
+  ssize_t RecvMessage(char *buf, size_t buf_len, Time timeout);
 
-        uint16_t NetworkToHost16(uint16_t data);
-        uint16_t HostToNetwork16(uint16_t data);
-        uint32_t NetworkToHost32(uint32_t data);
-        uint32_t HostToNetwork32(uint32_t data);
+  uint16_t NetworkToHost16(uint16_t data);
+  uint16_t HostToNetwork16(uint16_t data);
+  uint32_t NetworkToHost32(uint32_t data);
+  uint32_t HostToNetwork32(uint32_t data);
 
-    private:
-        UDTSOCKET socket;
-        bool blockOnSend;
-        bool blockOnReceive;
-    };
+private:
+  UDTSOCKET socket;
+  bool blockOnSend;
+  bool blockOnReceive;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/Unix_I2cPort.h
===================================================================
--- /trunk/include/FlairCore/Unix_I2cPort.h	(revision 12)
+++ /trunk/include/FlairCore/Unix_I2cPort.h	(revision 13)
@@ -16,84 +16,81 @@
 #include <I2cPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class Unix_I2cPort
-    *
-    * \brief Class for unix serial port
-    *
-    */
-    class Unix_I2cPort: public I2cPort
-    {
+namespace flair {
+namespace core {
+/*! \class Unix_I2cPort
+*
+* \brief Class for unix serial port
+*
+*/
+class Unix_I2cPort : public I2cPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an unix i2c port
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex /dev/i2c-1)
-            */
-            Unix_I2cPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an unix i2c port
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex /dev/i2c-1)
+  */
+  Unix_I2cPort(const Object *parent, std::string port_name, std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Unix_I2cPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Unix_I2cPort();
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This method need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            int SetSlave(uint16_t address);
+  /*!
+  * \brief Set slave's address
+  *
+  * This method need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  int SetSlave(uint16_t address);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetTxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetTxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: /trunk/include/FlairCore/Unix_SerialPort.h
===================================================================
--- /trunk/include/FlairCore/Unix_SerialPort.h	(revision 12)
+++ /trunk/include/FlairCore/Unix_SerialPort.h	(revision 13)
@@ -17,82 +17,80 @@
 #include <termios.h> /* POSIX terminal control definitions */
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_I2cPort
-    *
-    * \brief Class for unix serial port
-    *
-    */
-    class Unix_SerialPort: public SerialPort
-    {
+namespace flair {
+namespace core {
+/*! \class RTDM_I2cPort
+*
+* \brief Class for unix serial port
+*
+*/
+class Unix_SerialPort : public SerialPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an unix serial port, with the following default values: \n
-            * - 115200bps baudrate
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex rtser1)
-            */
-            Unix_SerialPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an unix serial port, with the following default values: \n
+  * - 115200bps baudrate
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex rtser1)
+  */
+  Unix_SerialPort(const Object *parent, std::string port_name,
+                  std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Unix_SerialPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Unix_SerialPort();
 
-            /*!
-            * \brief Set baudrate
-            *
-            * \param baudrate baudrate
-            *
-            */
-            void SetBaudrate(int baudrate);
+  /*!
+  * \brief Set baudrate
+  *
+  * \param baudrate baudrate
+  *
+  */
+  void SetBaudrate(int baudrate);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Flush input datas
-            *
-            */
-            void FlushInput(void);
+  /*!
+  * \brief Flush input datas
+  *
+  */
+  void FlushInput(void);
 
-        private:
-            int fd;
-            struct termios options;
-    };
+private:
+  int fd;
+  struct termios options;
+};
 } // end namespace core
 } // end namespace flair
